g.manual(1)

NAME
g.manual.py - Displays the manual pages of GRASS modules.

KEYWORDS
general, manual, help

SYNOPSIS
g.manual.py
g.manual.py --help
g.manual.py [-itmo] entry=string [--help] [--verbose] [--quiet] [--ui]

  Flags:

-i
    Display index

-t
    Display topics

-m
    Display as MAN text page instead of HTML page in browser

-o
    Display online manuals instead of locally installed
    Use online manuals available at https://grass.osgeo.org website. This flag has no effect when displaying MAN text pages.

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

entry=string [required]
    Manual entry to be displayed

DESCRIPTION
g.manual displays the manual pages of GRASS in HTML and MAN format.

NOTES
The name of the browser is defined in the environment variable GRASS_HTML_BROWSER. For most platforms this should be an executable in your PATH, or the full path to an executable. See variables for details.

EXAMPLES
Show index page in the browser.

g.manual -i

Show manual page of d.vect module in the browser.

g.manual d.vect

Show module manual page in terminal.

g.manual -m d.vect

AUTHOR
Markus Neteler

SOURCE CODE

Available at: g.manual source code (history)

Accessed: Sunday Apr 14 02:04:48 2024

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual